import Vue from 'vue'
import store from '../store'
import '../assets/styles/main.css'
import 'element-ui/lib/theme-chalk/index.css'
import '../assets/iconfont/iconfont.css'
import {
  Scrollbar,
  Menu,
  MenuItem,
  Submenu,
  Breadcrumb,
  BreadcrumbItem,
  Tabs,
  TabPane,
  Link,
  Dropdown,
  DropdownMenu,
  DropdownItem,
  Badge,
  Card,
  Input,
  Popover,
  Tag
} from 'element-ui'
import { toggleClass } from '../utils'
Vue.use(Scrollbar)
  .use(Menu)
  .use(MenuItem)
  .use(Submenu)
  .use(Breadcrumb)
  .use(BreadcrumbItem)
  .use(Tabs)
  .use(TabPane)
  .use(Link)
  .use(Dropdown)
  .use(DropdownMenu)
  .use(DropdownItem)
  .use(Badge)
  .use(Card)
  .use(Input)
  .use(Popover)
  .use(Tag)
const components = require.context('./', true, /\.vue$/)

components.keys().forEach(it => {
  const component = components(it)
  Vue.component(component.default.name, component.default)
})

toggleClass(document.body, 'dark theme_color_blue')

export default store
